Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Read_Stream Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_Stream:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_Stream:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_Asynch_Read_Stream (ACE_POSIX_Proactor *posix_proactor)
| Constructor.
int | read (ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_Asynch_Read_Stream (void)
| Destructor.

## Detailed Description

This class implements <ACE_Asynch_Read_Stream> for all POSIX based implementation of Proactor.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_Stream::ACE_POSIX_Asynch_Read_Stream | ( | ACE_POSIX_Proactor * | posix_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Read_Stream::~ACE_POSIX_Asynch_Read_Stream | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Read_Stream::read | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[virtual]`

| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. Implements ACE_Asynch_Read_Stream_Impl. Reimplemented in ACE_POSIX_Asynch_Read_File.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp